### Hierarchy

- URL

## Index

### Constructors

- constructor

### Properties

- hash
- host
- hostname
- href
- origin
- password
- pathname
- port
- protocol
- search
- searchParams
- username

### Methods

- toJSON
- toString

## Constructors

### constructor

- new URL(input: string, base?: string | URL): URL

- - Defined in node_modules/@types/node/url.d.ts:70

  #### Parameters

  - ##### input: string

  - ##### Optional base: string | URL

  #### Returns URL

## Properties

### hash

hash: string

- Defined in node_modules/@types/node/url.d.ts:72

### host

host: string

- Defined in node_modules/@types/node/url.d.ts:73

### hostname

hostname: string

- Defined in node_modules/@types/node/url.d.ts:74

### href

href: string

- Defined in node_modules/@types/node/url.d.ts:75

### origin

origin: string

- Defined in node_modules/@types/node/url.d.ts:76

### password

password: string

- Defined in node_modules/@types/node/url.d.ts:77

### pathname

pathname: string

- Defined in node_modules/@types/node/url.d.ts:78

### port

port: string

- Defined in node_modules/@types/node/url.d.ts:79

### protocol

protocol: string

- Defined in node_modules/@types/node/url.d.ts:80

### search

search: string

- Defined in node_modules/@types/node/url.d.ts:81

### searchParams

searchParams: URLSearchParams

- Defined in node_modules/@types/node/url.d.ts:82

### username

username: string

- Defined in node_modules/@types/node/url.d.ts:83

## Methods

### toJSON

- toJSON(): string

- - Defined in node_modules/@types/node/url.d.ts:85

  #### Returns string

### toString

- toString(): string

- - Defined in node_modules/@types/node/url.d.ts:84

  #### Returns string

Generated using TypeDoc